Package Details: pje-office 1.0.28-2

Git Clone URL: https://aur.archlinux.org/pje-office.git (read-only, click to copy)
Package Base: pje-office
Description: PJeOffice is a software made available by CNJ for electronic signing PJe system's documents
Upstream URL: http://www.cnj.jus.br/wiki/index.php/PJeOffice
Keywords: cnj pje
Licenses: custom
Submitter: geyslan
Maintainer: geyslan (pedrohqb)
Last Packager: pedrohqb
Votes: 5
Popularity: 0.000003
First Submitted: 2017-02-07 00:04 (UTC)
Last Updated: 2023-07-31 23:59 (UTC)

Pinned Comments

pedrohqb commented on 2023-08-01 00:01 (UTC) (edited on 2023-08-01 00:59 (UTC) by pedrohqb)

adicionado jre11-openjdk como dependência para garantir o funcionamento em variados certificados digitais. muitos advogados reclamando da quebra por conta do java 20. melhor jeito de manter compatibilidade sem perder o arch-way

Latest Comments

1 2 3 4 5 6 Next › Last »

pedrohqb commented on 2023-08-01 00:01 (UTC) (edited on 2023-08-01 00:59 (UTC) by pedrohqb)

adicionado jre11-openjdk como dependência para garantir o funcionamento em variados certificados digitais. muitos advogados reclamando da quebra por conta do java 20. melhor jeito de manter compatibilidade sem perder o arch-way

pedrohqb commented on 2023-02-22 02:01 (UTC)

Então realmente é um problema do certificado. Veja - o pjeoffice tem como dependência apenas o Java. Se o PJeOffice se comunica bem com o certificado pelo Java na última versão, ótimo; se não, cabe ao usuário gerir isso.

Acredito que tenhamos que manter da maneira que está.

<deleted-account> commented on 2023-02-20 19:55 (UTC)

Uso o SafeNet eToken 5110.

O arquivo .so é o /usr/lib/libeToken.so, providenciado pelo pacote aqui da AUR sac-core.

pedrohqb commented on 2023-02-20 19:07 (UTC)

Aqui ele roda também em JAVA 19, mas não consegue ler o libaetkpss.so. Apenas se roda em Java 11. Estou usando o safesignidentityclient.

Para fazer funcionar, eu instalo o java 11 e rodo o script da seguinte maneira:

!/bin/bash
PJeOffice CLEAN script

echo "Iniciando o PJeOffice!"

export PATH="/usr/lib/jvm/java-11-openjdk/bin/:$PATH" exec java -jar /usr/share/pje-office/pjeOffice.jar "$@"

Qual certificado digital você usa?

<deleted-account> commented on 2023-02-20 18:19 (UTC)

Aqui mesmo com o Java 19, o PJE-Office continua funcionando. Não seria outra coisa que estaria quebrando a leitura dos certificados?

O output de java --version:

openjdk 19.0.2 2023-01-17

OpenJDK Runtime Environment (build 19.0.2+7)

OpenJDK 64-Bit Server VM (build 19.0.2+7, mixed mode)

pedrohqb commented on 2023-02-20 16:32 (UTC)

Eu acho que talvez eu tenha forçar a instalação do java-11, uma vez que o PJe-Office usa uma versão antiga do Java por padrão e o Java 19 quebra a leitura dos certificados digitais...

<deleted-account> commented on 2023-01-31 19:23 (UTC)

É o java 19.

Testei aqui só com o openssl (3.0) instalado e está agora funcionando normalmente.

pedrohqb commented on 2023-01-27 01:53 (UTC)

Qual é a versão de java que você está utilizando? Qual seu certificado digital?

<deleted-account> commented on 2022-11-07 20:52 (UTC)

O programa está dando o seguinte erro:

java: CRYPTO/Crypto.c:356: init_openssl_crypto: Assertion `lib' failed.

/usr/bin/pjeOffice: line 6: 598022 Aborted (core dumped) java -jar /usr/share/pje-office/pjeOffice.jar

Acredito que seja pela troca que o Arch fez com o pacote openssl: agora em vez de ser a versão 1.x é a 3.x.

Testei o PJe tanto com o core/openssl-1.0 (1.0.2) quanto com o core/openssl-1.1 (1.1.1) instalados e o programa volta a funcionar.

P'ra resolver esse bug, se teria de adicionar algum desses dois pacotes às dependências do PKGBUILD.

Recomendaria o core/openssl-1.1, já que terá suporte até 11 de setembro de 2023, ao passo que o core/openssl-1.0 já não está mais recebendo atualizações.